//
//  DigitalInputController.h
//  DigitalInput
//
//  Created by Phidgets on 2015-07-14.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface DigitalInputController : NSObject <NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetDigitalInputHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    //Device Settings
    IBOutlet NSBox *settingsBox;
    IBOutlet NSPopUpButton *powerSupplyCombo;
    IBOutlet NSPopUpButton *inputModeCombo;
    //Data Box
    IBOutlet NSBox *dataBox;
    IBOutlet NSTextField *stateTextField;
	IBOutlet NSBox *stateBox;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;

}

@end
